#ifndef RUNCONTROLAPP_H
#define RUNCONTROLAPP_H

#include "app/DaqGuiApp.h"

#include "RunControlStartupOptions.h"

class RunControlApp : public DaqGuiApp
{
public:
    RunControlApp(int &_argc, char *_argv[]);
    RunControlStartupOptions getStartupOptions() const { return so; }

protected:
    virtual bool hasConfigSelectorOption() const override { return true; }
    virtual void setupOptions() override;
    virtual void processParseResults(QCommandLineParser &parser) override;

private:
    RunControlStartupOptions so;

    QCommandLineOption noDevOption;
};

#endif // RUNCONTROLAPP_H
